Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.tcp
Class ExceptionReturnTcpMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractTransportMessageHandler
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.tcp.TcpMessageReceiver
                  org.mule.transport.tcp.ExceptionReturnTcpMessageReceiver

All Implemented Interfaces:
  Runnable, javax.resource.spi.work.Work, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageSource, Connectable, MessageReceiver

    public class ExceptionReturnTcpMessageReceiver

extends TcpMessageReceiver

Extends `TcpMessageReceiver` providing managing of protocol error conditions. `ExceptionReturnTcpMessageReceiver.TcpWorker.getNextMessage(Object)` is extended so, in case of an protocol error it will try to send the exception back to the client instead of ignoring it. If an exception is thrown managing the error it will ignored.

Nested Class Summary
`protected class` | `ExceptionReturnTcpMessageReceiver.TcpWorker`

Field Summary

Fields inherited from class org.mule.transport.tcp.TcpMessageReceiver
`disposing`

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`defaultInboundTransformers, defaultResponseTransformers, flowConstruct, listener, receiverKey`

Fields inherited from class org.mule.transport.AbstractTransportMessageHandler
`connected, connecting, connector, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ExceptionReturnTcpMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint)`

Method Summary
`protected javax.resource.spi.work.Work` | `createWork(Socket socket)`

Methods inherited from class org.mule.transport.tcp.TcpMessageReceiver
`doConnect, doDisconnect, doDispose, doStart, doStop, getServerSocket, release, run`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`applyInboundTransformers, applyResponseTransformers, createLifecycleManager, createMuleEvent, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getFlowConstruct, getReceiverKey, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setListener, setReceiverKey, toString`

Methods inherited from class org.mule.transport.AbstractTransportMessageHandler
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, getConnectEventId, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageReceiver
`createMuleMessage, createMuleMessage`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Constructor Detail

### ExceptionReturnTcpMessageReceiver

    public ExceptionReturnTcpMessageReceiver(Connector connector,
                                             FlowConstruct flowConstruct,
                                             InboundEndpoint endpoint)
                                      throws CreateException

Throws:
  `CreateException`

Method Detail

### createWork

    protected javax.resource.spi.work.Work createWork(Socket socket)
                                               throws IOException

  Overrides:
    `createWork` in class `TcpMessageReceiver`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.